%define tcltk_major 8.3
%define tclx_major 8.2


%define	tclvers	        %{tcltk_major}.2
%define tclXvers 	%{tclx_major}.0
%define	expvers	        5.31
%define	Tixvers		4.1.0
%define	itclvers	3.1.0
%define tcllibvers 	0.6

%define myconfig --enable-shared --enable-gcc


%define release 4mdk


Summary: A Tcl/Tk development environment: tcl, tk, tix, tclX, expect, and itcl
Name: tcltk
Version: %{tclvers}
Release: %{release}
Source0: ftp://ftp.scriptics.com/pub/tcl/tcl8_0/tcl%{tclvers}.tar.bz2
Source1: ftp://ftp.scriptics.com/pub/tcl/tcl8_0/tk%{tclvers}.tar.bz2
Source2: ftp://ftp.cme.nist.gov/pub/expect/expect%{expvers}.tar.bz2
Source3: ftp://ftp.neosoft.com/pub/tcl/TclX/tclX%{tclXvers}.tar.bz2
Source4: ftp://ftp.tix.mne.com/pub/tcl/tix/Tix%{Tixvers}.006.tar.bz2
Source5: ftp://ftp.tcltk.com/pub/itcl/itcl%{itclvers}.tar.bz2
Source6: ftp://ftp.scriptics.com/pub/tcl/tcllib/tcllib%{tcllibvers}.tar.bz2
Source7: autopasswd.bz2
Patch0: tcl-8.3.1-ieee.patch.bz2
Patch1: tcl8.0.3-glibc21.patch.bz2
Patch2: tcl8.0.5-sigpwr.patch.bz2
Patch3: tcl-8.3.1-cruft.patch.bz2
Patch4: tcl-8.2.3-bug7082.patch.bz2
Patch5: tcl-8.3.1-alpha70.patch.bz2
Patch6: tcl-8.3.1-tclmkl.patch.bz2

Patch10: expect-5.24-mkpasswd.patch.bz2
Patch11: expect-%{expvers}-alpha.patch.bz2
Patch12: expect-5.31-jbj.patch.bz2
Patch13: expect-5.31-bug7869.patch.bz2
Patch14: expect-5.31-bug7775.patch.bz2
Patch15: expect-5.31.7-bug11595.patch.bz2
Patch16: expect-5.31-fixcat.patch.bz2


Patch20: tix-4.1.0.6-perf.patch.bz2
Patch21: tix-4.1.0-cruft.patch.bz2
Patch22: tix-4.1.0-tixconfig.patch.bz2
#Patch23: tix-sucks.patch.bz2

Patch30: itcl-3.1.0-itclconfig.patch.bz2

Copyright: BSD
Group: System/Libraries
Buildroot: %{_tmppath}/%{name}-root

%description
Tcl is a simple scripting language designed to be embedded into
other applications.  Tcl is designed to be used with Tk, a widget
set, which is provided in the tk package.  This package also includes
tclsh, a simple example of a Tcl application.

%package -n tcl
#Version: 8.0.3
Summary: An embeddable scripting language.
Group: System/Libraries
URL: http://www.scriptics.com

%description -n tcl
Tcl is a simple scripting language designed to be embedded into
other applications.  Tcl is designed to be used with Tk, a widget
set, which is provided in the tk package.  This package also includes
tclsh, a simple example of a Tcl application.

If you're installing the tcl package and you want to use Tcl for
development, you should also install the tk and tclx packages.

%package -n tk
#Version: 8.0.3
Summary: Tk GUI toolkit for Tcl, with shared libraries
Group: System/Libraries
URL: http://www.scriptics.com

%description -n tk
Tk is a X Windows widget set designed to work closely with the tcl
scripting language. It allows you to write simple programs with full
featured GUI's in only a little more time then it takes to write a
text based interface. Tcl/Tk applications can also be run on Windows
and Macintosh platforms.

%package -n expect
#Version: %{expvers}
Summary: A tcl extension for simplifying program-script interaction.
Group: System/Libraries

%description -n expect
Expect is a tcl extension for automating interactive applications such
as telnet, ftp, passwd, fsck, rlogin, tip, etc.  Expect is also useful
for testing the named applications.  Expect makes it easy for a script
to control another program and interact with it.

Install the expect package if you'd like to develop scripts which interact
with interactive applications.  You'll also need to install the tcl
package.

%package -n tclx
#Version: %{tclXvers}
Summary: Tcl/Tk extensions for POSIX systems.
Group: System/Libraries
URL: http://www.neosoft.com/

%description -n tclx
TclX is a set of extensions which make it easier to use the Tcl
scripting language for common UNIX/Linux programming tasks.  TclX
enhances Tcl support for files, network access, debugging, math, lists,
and message catalogs.  TclX can be used with both Tcl and Tcl/Tk
applications.

Install TclX if you are developing applications with Tcl/Tk.  You'll
also need to install the tcl and tk packages.

%package -n tix
#Version: %{Tixvers}.6
Summary: A set of capable widgets for Tk.
Group: System/Libraries

%description -n tix
Tix (Tk Interface Extension), an add-on for the Tk widget set, is an
extensive set of over 40 widgets.  In general, Tix widgets are more
complex and more capable than the widgets provided in Tk.  Tix widgets
include a ComboBox, a Motif-style FileSelectBox, an MS Windows-style
FileSelectBox, a PanedWindow, a NoteBook, a hierarchical list, a
directory tree and a file manager.

Install the tix package if you want to try out more complicated widgets
for Tk.  You'll also need to have the tcl and tk packages installed.

%package -n itcl
#Version: %{itclvers}
Summary: object oriented mega widgets for tcl
Group: System/Libraries

%description -n itcl
[incr Tcl] is an object-oriented extension of the Tcl language.  It
was created to support more structured programming in Tcl.  Tcl scripts
that grow beyond a few thousand lines become extremely difficult to
maintain.  This is because the building blocks of vanilla Tcl are
procedures and global variables, and all of these building blocks
must reside in a single global namespace.  There is no support for
protection or encapsulation.

[incr Tcl] introduces the notion of objects.  Each object is a bag
of data with a set of procedures or "methods" that are used to
manipulate it.  Objects are organized into "classes" with identical
characteristics, and classes can inherit functionality from one
another.  This object-oriented paradigm adds another level of
organization on top of the basic variable/procedure elements, and
the resulting code is easier to understand and maintain.

%package -n tcllib
#Version: %{tcllibvers}
Summary: Library of utility modules for tcl.
Group: Development/Other

%description -n tcllib
Tcllib is a collection of utility modules for tcl. These modules provide
a wide variety of functionality,  from implementation  of standard data
structures  to implementation of common networking protocols.  the intent
is to collect commoly used function into a single library, which users can 
rely on to be available  and stable.

%prep

%setup -q -c -a 1 -a 2 -a 3 -a 4 -a 5 -a 6

cd tcl%{tclvers}
%patch1 -p2 -b .glibc21
#%patch2 -p2
%patch3 -p2
%patch4 -p2
#%patch5 -p2
#%patch6 -p2 -b .tclmkl
cd ..

cd expect%{expvers}
%patch10 -p2
%patch11 -p2
%patch12 -p2
%patch13 -p2
%patch14 -p2
%patch15 -p2
%patch16 -p2
bzip2 -dc %SOURCE7 > ./example/autopasswd
chmod 755 ./example/autopasswd
chmod u+w configure;autoconf
cd ..

# no patch 6

cd Tix%{Tixvers}
%patch20 -p2
%patch21 -p2
%patch22 -p2
#%patch23 -p2

cd unix
[ -d tk%{tcltk_major} ] || {
   mv -f tk8.0 tk%{tcltk_major}
   perl -pi -e 's,tk8.0,tk%{tcltk_major},g' Makefile.in
}
chmod u+w configure;autoconf
cd ..
cd ..

cd itcl%{itclvers}
%patch30 -p2 -b .itclconfig

#cd tclX%{tclXvers}
#%patch8 -p2 -b .wrongtclXvers
#cd ..

# XXX this was only needed with the IEEE patch0
#cd tcl%{tclvers}/unix
#autoconf
#cd ../../
#cd tk%{tclvers}/unix
#autoconf

#==========================================
%build

# make the libraries reentrant
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_REENTRANT"

#------------------------------------------
# Tcl
#
cd tcl%{tclvers}/unix
#libtoolize --copy --force
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared --enable-gcc

%configure %myconfig
make
cd ../..

#------------------------------------------
# Tk
#
cd tk%{tclvers}/unix
#libtoolize --copy --force
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared --enable-gcc

find . -type f -exec perl -pi -e 's/-lieee//' {} \;
%configure %myconfig

make CFLAGS="$RPM_OPT_FLAGS -D_REENTRANT"
cd ../..

#------------------------------------------
# tclX
#
cd tclX%{tclXvers}/unix
#libtoolize --copy --force
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared

%configure %myconfig

make CFLAGS="$RPM_OPT_FLAGS -D_REENTRANT"
cd ../..

#------------------------------------------
# Expect
#
cd expect%{expvers}
#libtoolize --copy --force
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \

%configure %myconfig \
   --with-tclconfig=../tcl%{tclvers}/unix \
   --with-tkconfig=../tk%{tclvers}/unix \
   --with-tclinclude=../tcl%{tclvers}/generic \
   --with-tkinclude=../tk%{tclvers}/generic


# XXX drill out HAVE_OPENPTY for now
perl -pi -e 's,#define HAVE_OPENPTY 1,/* #undef HAVE_OPENPTY */,' expect_cf.h || :
# XXX drill in HAVE_PTMX for now
perl -pi -e 's,/* #undef HAVE_PTMX */,#define HAVE_PTMX 1' expect_cf.h || :

make CFLAGS="$RPM_OPT_FLAGS -D_REENTRANT"

cd ..

#------------------------------------------
# Tix
#
cd Tix%{Tixvers}/unix
#libtoolize --copy --force
#./configure --prefix=/usr --disable-cdemos --enable-shared

%configure %myconfig --disable-cdemos

cd tk%{tcltk_major}
libtoolize --copy --force
#./configure --prefix=/usr --disable-cdemos --enable-shared \
#	--with-tcl=../../../tcl%{tclvers} --with-tk=../../../tk%{tclvers}

%configure %myconfig \
   --disable-cdemos --with-tcl=../../../tcl%{tclvers} \
   --with-tk=../../../tk%{tclvers}
make CFLAGS="$RPM_OPT_FLAGS -fwritable-strings"
cd ../../..

#------------------------------------------
# itcl
#
cd itcl%{itclvers}
#libtoolize --copy --force
#./configure --prefix=/usr --enable-shared

%configure %myconfig --exec-prefix=/foo 
make CFLAGS="$RPM_OPT_FLAGS -D_REENTRANT"
cd ..

#==========================================
cd tcllib%{tcllibvers}
# nothing to do here. 
cd ..

#==========================================
%install

rm -rf $RPM_BUILD_ROOT
rm -rf *.files*
mkdir -p $RPM_BUILD_ROOT%{_prefix}



#------------------------------------------
# Tcl
#
make INSTALL_ROOT=$RPM_BUILD_ROOT install -C tcl%{tclvers}/unix

ln -sf libtcl%{tcltk_major}.so $RPM_BUILD_ROOT%{_libdir}/libtcl.so
ln -sf tclsh%{tcltk_major} $RPM_BUILD_ROOT%{_bindir}/tclsh


echo "%%defattr(-,root,root)" > tcl.files
(find $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_includedir} \
	$RPM_BUILD_ROOT%{_mandir} -type f -o -type l;
 find $RPM_BUILD_ROOT%{_libdir}/*) | sort >> tcl.files

#------------------------------------------
# Tk
#
make INSTALL_ROOT=$RPM_BUILD_ROOT install -C tk%{tclvers}/unix

ln -sf libtk%{tcltk_major}.so $RPM_BUILD_ROOT%{_libdir}/libtk.so
ln -sf wish%{tcltk_major} $RPM_BUILD_ROOT%{_bindir}/wish


echo "%%defattr(-,root,root)" > tk.files
(find $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_includedir} \
	$RPM_BUILD_ROOT%{_mandir} -type f -o -type l;
 find $RPM_BUILD_ROOT%{_libdir}/*) >> tk.files.in
	cat tcl.files tk.files.in | sort | uniq -u >> tk.files && \
	rm -f tk.files.in

#------------------------------------------
# TclX
#
make INSTALL_ROOT=$RPM_BUILD_ROOT install -C tclX%{tclXvers}/unix

ln -sf libtkx%{tclx_major}.so $RPM_BUILD_ROOT%{_libdir}/libtkx.so
ln -sf libtclx%{tclx_major}.so $RPM_BUILD_ROOT%{_libdir}/libtclx.so

if [ "%_mandir" = "%{_prefix}/share/man" ] ;then
   ( cd $RPM_BUILD_ROOT%{_prefix}/man; tar -cf - ./man[13n] ) |
   ( cd $RPM_BUILD_ROOT/%{_mandir};tar -xf - )
   ( cd $RPM_BUILD_ROOT/{_prefix}/man;rm -rf ./man[13n] )
fi



echo "%%defattr(-,root,root)" > tclx.files
(find $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_includedir} \
	$RPM_BUILD_ROOT%{_mandir} -type f -o -type l;
 find $RPM_BUILD_ROOT%{_libdir}/*) >> tclx.files.in
 cat tcl.files tk.files tclx.files.in | sort | uniq -u >> tclx.files && \
 rm -f tclx.files.in
#------------------------------------------
# Expect
#
make INSTALL_ROOT=$RPM_BUILD_ROOT install -C expect%{expvers}



echo "%%defattr(-,root,root)" > expect.files
(find $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_includedir} \
	$RPM_BUILD_ROOT%{_mandir} -type f -o -type l;
 find $RPM_BUILD_ROOT%{_libdir}/*) >> expect.files.in
 cat  tcl.files tk.files tclx.files expect.files.in \
	| sort | uniq -u >> expect.files && rm -f expect.files.in

# for files in expect.files, sed the #! at the top...
set +x
for n in `cat expect.files`; do
	[ -f $n ] || continue
	head -1 $n | grep '^#!' > /dev/null 2>&1 || continue
	chmod u+w $n
	perl -pi -e 's|$RPM_BUILD_ROOT||' $n
done
set -x


#------------------------------------------
# Tix
#
LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir} make INSTALL_ROOT=$RPM_BUILD_ROOT install -C Tix%{Tixvers}/unix
#if [ "%_mandir" = "%{_prefix}/share/man" ];then
#   ( cd $RPM_BUILD_ROOT/%{_prefix}/man ; tar -cf - ./man[13n] ) | 
#   ( cd $RPM_BUILD_ROOT/%{_mandir}; tar -xf - )
#   ( cd $RPM_BUILD_ROOT/%{_prefix}/man;rm -rf ./man[13n] )
#fi

mv $RPM_BUILD_ROOT%{_mandir}/mann/tixwish.1 $RPM_BUILD_ROOT%{_mandir}/man1/tixwish.1
ln -sf libtix4.1.%{tcltk_major}.so $RPM_BUILD_ROOT%{_libdir}/libtix.so
#ln -sf Libtixsam4.1.%{tcltk_major}.so $RPM_BUILD_ROOT/%{_libdir}/libtixsam.so
dir=`pwd`
cd $RPM_BUILD_ROOT%{_bindir}
ln -sf tixwish4.1.8.3 tixwish
cd $dir

echo "%%defattr(-,root,root)" > tix.files

(find $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_includedir} \
	$RPM_BUILD_ROOT%{_mandir} -type f -o -type l;
 find $RPM_BUILD_ROOT%{_libdir}/*) >> tix.files.in
 cat tcl.files tk.files tclx.files expect.files tix.files.in \
	| sort | uniq -u >> tix.files && rm -f tix.files.in

set +x
for n in `cat tix.files`; do
	[ -f $n ] || continue;
        head -1 $n | grep '^#!' > /dev/null 2>&1 || continue;
	chmod u+w $n
	perl -pi -e "s|$RPM_BUILD_ROOT||" $n
done
set -x


#------------------------------------------
# itcl
#
make INSTALL_ROOT=$RPM_BUILD_ROOT exec_prefix=%{_prefix} INSTALL="install -c" MKINSTALLDIRS="mkdir -p" install -C itcl%{itclvers}

ln -sf libitk3.1.so $RPM_BUILD_ROOT%{_libdir}/libitk.so
ln -sf libitcl3.1.so $RPM_BUILD_ROOT/%{_libdir}/libitcl.so

if [ "%_mandir" = "%{_prefix}/man" ];then
   ( cd $RPM_BUILD_ROOT/%{_prefix}/man ;tar -cf- ./man[13n] ) |
   ( cd $RPM_BUILD_ROOT/%{_mandir};tar -xf - )
   ( cd $RPM_BUILD_ROOT/%{_prefix}/man ;rm -rf  ./man[13n] )
fi

echo "%%defattr(-,root,root)" > itcl.files
(find $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_includedir} \
	$RPM_BUILD_ROOT%{_mandir} -type f -o -type l;
 find $RPM_BUILD_ROOT%{_libdir}/*)  >> itcl.files.in
cat  tcl.files tk.files tclx.files expect.files tix.files itcl.files.in \
	| sort | uniq -u >> itcl.files && rm -f itcl.files.in

set +x
for n in `cat itcl.files`; do
	[ -f $n ] || continue
        head -1 $n | grep '^#!' > /dev/null 2>&1 || continue
	chmod u+w $n
	perl -pi -e "s|$RPM_BUILD_ROOT||" $n
done
set -x


# tcllib --------
cd tcllib%{tcllibvers}
./install.sh  $RPM_BUILD_ROOT/%{_prefix}
cd ..

if [ "%{_mandir}" = "%{_prefix}/share/man" ];then
   ( cd $RPM_BUILD_ROOT/%{_prefix}/man; tar -cf - ./man[13n] ) |
   ( cd $RPM_BUILD_ROOT/%{_mandir};tar -xf - )
   ( cd $RPM_BUILD_ROOT/%{_prefix}/man;rm  -rf ./man[13n] )
fi


echo "%%defattr(-,root,root)" > tcllib.files
( find $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_includedir} \
	$RPM_BUILD_ROOT%{_mandir} -type f -o -type l ;
 find $RPM_BUILD_ROOT%{_libdir}/*) >> tcllib.files.in 
cat tcl.files tk.files tclx.files expect.files tix.files itcl.files tcllib.files.in \
 | sort | uniq -u >> tcllib.files  && rm -f tcllib.files.in



#------------------------------------------
# this is too annoying to watch
set +x
for n in *.files; do
	mv $n $n.xxx
	sed "s|.*%{_prefix}|%{_prefix}|" < $n.xxx | while read file; do
	    if [ -d $RPM_BUILD_ROOT/$file ]; then
		echo -n '%dir '
	    fi
	    echo $file
	done > $n
	rm -f $n.xxx
done

set -x

perl -pi -e 's|(^%{_mandir}/man.*$)|\1\*|' *.files

%post -p /sbin/ldconfig -n tcl
%post -p /sbin/ldconfig -n tk
%post -p /sbin/ldconfig -n expect
%post -p /sbin/ldconfig -n tclx
%post -p /sbin/ldconfig -n tix
%post -p /sbin/ldconfig -n itcl
%post -p /sbin/ldconfig -n tcllib

%postun -p /sbin/ldconfig -n tcl
%postun -p /sbin/ldconfig -n tk
%postun -p /sbin/ldconfig -n expect
%postun -p /sbin/ldconfig -n tclx
%postun -p /sbin/ldconfig -n tix
%postun -p /sbin/ldconfig -n itcl
%postun -p /sbin/ldconfig -n tcllib

%clean
rm -rf $RPM_BUILD_ROOT

%files -f tcl.files -n tcl
%files -f tk.files -n tk
%files -f tclx.files -n tclx
%files -f expect.files -n expect
%files -f tix.files -n tix
%files -f itcl.files -n itcl
%files -f tcllib.files -n tcllib

%changelog
* Fri Sep 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 8.3.2-4mdk
- remove symlink to libtixsam.so

* Sun Sep 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 8.3.2-3mdk
- merge with redhat's patches.

* Thu Aug 17 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 8.3.2-2mdk
- fix a silly typo.

* Thu Aug 10 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 8.3.2-1mdk
- tcl and tk: s|8.3.1|8.3.2|.
- tcllib: s|0.4|0.6|.

* Sun Aug 06 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 8.3.1-6mdk
- remove the patch from the original version and use -fwritable-strings to 
  compile (Jeff Johnson)

* Sat Aug 05 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 8.3.1-5mdk
- patch to fix tixwish (Vladimir, orig patch by Carlos Vidal)
- add symlink for tix 

* Tue Aug 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 8.3.1-4mdk
- fix the broken symlink created while i was mascroising stuff

* Tue Aug 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 8.3.1-3mdk
- rebuild to fix up problem with /us/bin/wish symlink

* Sat Jul 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 8.3.1-2mdk
- rebuild and remove the individual versioning: we don't want to make 
  updates impossible, or the upload robots to reject the RPM .. :-(

* Wed Jul 26 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 8.3.1-1mdk
- major upgrade for this big SOB
- fix building - do not link with the ieee library (chmouel)

* Wed May 17 2000 Vicnent Saugey <vince@mandrakesoft.com> 8.0.5-20mdk
- Add patch for signal -> now build correctly on sparc

* Wed May 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 8.0.5-19mdk
- fixed tclx broken symlinks.

* Fri Mar 31 2000 Frederic Lepied <flepied@mandrakesoft.com> 8.0.5-18mdk
- fix groups.

* Mon Jan 24 2000 Frederic Lepied <flepied@mandrakesoft.com> 8.0.5-17mdk
- bzipped man pages.
- remove rm -f from previous release to not loose permissions.

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- fix build as non-root
- added some rm -f cuz rights pb

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- bzip2 tixwish manpage.

* Sun Nov 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Increase release for compatibility with expect.

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 8.0.5.

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- fix handling of RPM_OPT_FLAGS and reentrance

* Thu Apr  8 1999 Jeff Johnson <jbj@redhat.com>
- use /usr/bin/write in kibitz (#1320).
- use cirrus.sprl.umich.edu in weather (#1926).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 28)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- whoops, exec-prefix for itcl was set to '/foo', changed to '/usr'.

* Tue Feb 16 1999 Jeff Johnson <jbj@redhat.com>
- expect does unaligned access on alpha (#989)
- upgrade tcl/tk/tclX to 8.0.4
- upgrade expect to 5.28.
- add itcl 3.0.1

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to allow building on the arm
- build for glibc 2.1
- strip binaries

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update tcl/tk/tclX to 8.0.3, expect is updated also.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- expect: mkpasswd needs delay before sending password (problem #576)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- fixed expect binaries exec permissions

* Thu Apr 09 1998 Erik Troan <ewt@redhat.com>
- updated to Tix 4.1.0.006
- updated version numbers of tcl/tk to relflect includsion of p2

* Wed Mar 25 1998 Cristian Gafton <gafton@redhat.com>
- updated tcl/tk to patch level 2
- updated tclX to 8.0.2

* Thu Oct 30 1997 Otto Hammersmith <otto@redhat.com>
- fixed filelist for tix... replacing path to the expect binary in scripts
  was leaving junk files around.

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- added patch to remove libieee test in configure.in for tcl and tk.
  Shoudln't be needed anymore for glibc systems, but this isn't the "proper" 
  solution for all systems
- fixed src urls

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- removed version numbers from descriptions

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to tcl/tk 8.0 and related versions of packages

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- fixed dangling tclx/tkx symlinks
